Package org.apache.commons.math3.transform

# Enum DstNormalization

java.lang.Object
java.lang.Enum<DstNormalization>
org.apache.commons.math3.transform.DstNormalization

All Implemented Interfaces:
  `Serializable`, `Comparable<DstNormalization>`, `java.lang.constant.Constable`

public enum DstNormalization extends Enum<DstNormalization>
This enumeration defines the various types of normalizations that can be applied to discrete sine transforms (DST). The exact definition of these normalizations is detailed below.

Since:
  3.0
See Also:
  - `FastSineTransformer`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ORTHOGONAL_DST_I`
Should be passed to the constructor of `FastSineTransformer` to use the orthogonal normalization convention.
`STANDARD_DST_I`
Should be passed to the constructor of `FastSineTransformer` to use the standard normalization convention.

## Method Summary

Modifier and Type
Method
Description
`static DstNormalization`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DstNormalization[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STANDARD_DST_I

public static final DstNormalization STANDARD_DST_I
Should be passed to the constructor of `FastSineTransformer` to use the standard normalization convention. The standard DST-I normalization convention is defined as follows

- forward transform: yn = ∑k=0N-1 xk sin(π nk / N),
- inverse transform: xk = (2 / N) ∑n=0N-1 yn sin(π nk / N),

where N is the size of the data sample, and x0 = 0.

### ORTHOGONAL_DST_I

public static final DstNormalization ORTHOGONAL_DST_I
Should be passed to the constructor of `FastSineTransformer` to use the orthogonal normalization convention. The orthogonal DCT-I normalization convention is defined as follows

- Forward transform: yn = √(2 / N) ∑k=0N-1 xk sin(π nk / N),
- Inverse transform: xk = √(2 / N) ∑n=0N-1 yn sin(π nk / N),

which makes the transform orthogonal. N is the size of the data sample, and x0 = 0.

## Method Details

### values

public static DstNormalization[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DstNormalization valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null